<html>
<head>
    <title>game about ass</title>

    <!-- maps -->
    <script src="maps/de_dust.js"></script>
    <script src="maps/lol.js"></script>
    <script src="maps/tvoya_mama.js"></script>
    <script src="maps/islam.js"></script>
    <script src="maps/huy.js"></script>

    <!-- scripts -->
    <script src="./jquery-3.5.1.min.js"></script>
    <script src="./js/md5.js" defer></script>
    <script src="./js/variables.js" defer></script>
    <script src="./js/utils.js" defer></script>
    <script src="./js/constants.js" defer></script>
    <script src="./js/map.js" defer></script>
    <script src="./js/collision.js" defer></script>
    <script src="./js/keyboard.js" defer></script>
    <script src="./js/bullets.js" defer></script>
    <script src="./js/sfx.js" defer></script>
    <script src="./js/hud.js" defer></script>
    <script src="./js/player.js" defer></script>
    <script src="./js/room.js" defer></script>
    <script src="./js/mouse.js" defer></script>
    <script src="./js/dev_tools.js" defer></script>
    <script src="./js/menu.js" defer></script>
    <script src="./js/main.js" defer></script>
<!--    <script src="./main.js" defer></script>-->
    <link rel="stylesheet" href="./style.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.1/socket.io.js"></script>
</head>
<body>

<div class="dev_tools">
    <div class="playerPositionX"></div>
    <div class="playerPositionY"></div>
    <div class="mapOffsetX"></div>
    <div class="mapOffsetY"></div>
</div>

<audio src="./sfx/ak47.mp3" id="ak47sfx"></audio>

<div class="border">
    <div class="hud">
        <div class="ammoHud">Ammo: <span>0</span>/30</div>
    </div>

    <div class="hit-red-rect"></div>

    <div class="user-fire">
        <div class="fire1"></div>
        <div class="fire2"></div>
        <div class="fire3"></div>
    </div>
</div>

<div class="menu">
    <h1>Shooter 2D</h1>
    <div class="startScreen">
        <button class="button1 myButton">Свободный режим</button>
        <button class="button2 myButton">Онлайн режим</button>
        <button class="button3 myButton">Настройки</button>
    </div>

    <div class="menuSelectMap">
        <h2>Доступные карты</h2>
        <button class="availableMap myButton">de_dust</button>
        <button class="availableMap myButton">huy</button>
        <button class="button0 myButton">Главное меню</button>
    </div>

    <div class="rooms">
        <h2>Доступные комнаты</h2>
        <div class="rooms-list"></div>
        <button class="button0 myButton">Главное меню</button>
    </div>

    <div class="menuSettings">
        <label for="nicknameInput">Ник в игре</label>
        <input type="text" id="nicknameInput">
        <button class="button0 myButton">Главное меню</button>
    </div>
</div>

<div class="images" style="display: none;">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_0.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_1.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_2.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_3.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_4.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_5.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_6.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_7.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_8.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_9.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_10.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_11.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_12.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_13.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_14.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_15.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_16.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_17.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_18.png" alt="">
    <img src="./textures/players/rifle/idle/survivor-idle_rifle_19.png" alt="">

    <!-- move -->
    <img src="./textures/players/rifle/move/survivor-move_rifle_0.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_1.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_2.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_3.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_4.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_5.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_6.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_7.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_8.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_9.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_10.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_11.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_12.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_13.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_14.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_15.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_16.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_17.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_18.png" alt="">
    <img src="./textures/players/rifle/move/survivor-move_rifle_19.png" alt="">

    <!-- reload -->
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_0.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_1.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_2.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_3.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_4.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_5.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_6.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_7.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_8.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_9.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_10.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_11.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_12.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_13.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_14.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_15.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_16.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_17.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_18.png" alt="">
    <img src="./textures/players/rifle/reload/survivor-reload_rifle_19.png" alt="">

    <!-- shoot -->
    <img src="./textures/players/rifle/shoot/survivor-shoot_rifle_0.png" alt="">
    <img src="./textures/players/rifle/shoot/survivor-shoot_rifle_1.png" alt="">
    <img src="./textures/players/rifle/shoot/survivor-shoot_rifle_2.png" alt="">
</div>

</body>
</html>
